Ribbon in Angular Document Editor Control

22 Jun 20264 minutes to read

The Angular DOCX Editor (Document Editor) provides a modern Ribbon interface similar to Microsoft Word’s interface. This Ribbon UI provides an efficient and intuitive way to access editing features, organizing commands within well-structured tabs and groups to enhance your document editing experience. Additionally, the Ribbon interface supports contextual tabs. Contextual tabs appear only when certain elements, such as tables, images, or headers/footers, are selected in the document.

You can switch between the classic Toolbar and the new Ribbon UI, and you can also choose between Classic and Simplified ribbon layouts.

Enable Ribbon Mode

To enable Ribbon in Angular Document Editor, use the toolbarMode property of DocumentEditorContainer. The available toolbar modes are:

  • ‘Toolbar’ - The traditional toolbar UI.
  • ‘Ribbon’ - The Ribbon UI, which provides a tabbed interface with grouped commands.

By default, toolbarMode is Toolbar.

To use Ribbon mode in the Document Editor, include the necessary CSS files from the ../node_modules/@syncfusion package folder. This can be referenced in [src/styles.css] using following code.

@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import '../node_modules/@syncfusion/ej2-angular-documenteditor/styles/material.css';
@import '../node_modules/@syncfusion/ej2-ribbon/styles/material.css';/* Required for Ribbon */

The following code shows the how to enable the Ribbon in Document Editor.

/**
 * Add below codes in app.component.html file
 */
<ejs-documenteditorcontainer #documenteditor_default [enableToolbar]=true [locale]="culture" [toolbarMode]="'Ribbon'" (created)="onCreate()" (documentChange)="onDocumentChange()" height="600px" [serviceUrl]="hostUrl" style="display:block;" [toolbarMode]="toolbarMode"></ejs-documenteditorcontainer>

/**
 * Add below codes in app.component.ts file
 */
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { ToolbarService, DocumentEditorContainerComponent, RibbonService, DocumentEditorContainerModule } from '@syncfusion/ej2-angular-documenteditor';
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';

@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None,
    providers: [ToolbarService, RibbonService],
    standalone: true,
    imports: [DocumentEditorContainerModule, SwitchModule,  ]
})
export class AppComponent {
    public hostUrl: string = 'https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/';

    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    public toolbarMode: string = 'Ribbon'; // Options: 'Ribbon' or 'Toolbar'
}

Ribbon Layouts

Document Editor provides two different Ribbon layouts:

  • Classic: A traditional Office-like ribbon with detailed grouping and larger icons
  • Simplified: A more compact ribbon design with streamlined controls

By default, ribbonLayout is set to Simplified.

The following code shows the how to configure the ribbon layout in Document Editor:

/**
 * Add below codes in app.component.html file
 */
<ejs-documenteditorcontainer #documenteditor_default [enableToolbar]=true [locale]="culture" [toolbarMode]="'Ribbon'" (created)="onCreate()" (documentChange)="onDocumentChange()" height="600px" [serviceUrl]="hostUrl" style="display:block;" [toolbarMode]="toolbarMode" [ribbonLayout]="ribbonLayout"></ejs-documenteditorcontainer>

/**
 * Add below codes in app.component.ts file
 */
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { ToolbarService, DocumentEditorContainerComponent, RibbonService, DocumentEditorContainerModule } from '@syncfusion/ej2-angular-documenteditor';
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';

@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None,
    providers: [ToolbarService, RibbonService],
    standalone: true,
    imports: [DocumentEditorContainerModule, SwitchModule,  ]
})
export class AppComponent {
    public hostUrl: string = 'https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/';

    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    public toolbarMode: string = 'Ribbon'; // Options: 'Ribbon' or 'Toolbar'
    public ribbonLayout: string= 'Simplified'; // Options: 'Simplified' or 'Classic'
}

See Also

Ribbon in Vue Document Editor Control

22 Jun 20265 minutes to read

The Vue DOCX Editor (Document Editor) provides a modern Ribbon interface similar to Microsoft Word’s interface. This Ribbon UI provides an efficient and intuitive way to access editing features, organizing commands within well-structured tabs and groups to enhance your document editing experience. Additionally, the Ribbon interface supports contextual tabs. Contextual tabs appear only when certain elements, such as tables, images, or headers/footers, are selected in the document.

You can switch between the classic Toolbar and the new Ribbon UI, and you can also choose between Classic and Simplified ribbon layouts.

Enable Ribbon Mode

To enable Ribbon in Document Editor, use the toolbarMode property of DocumentEditorContainer. The available toolbar modes are:

  • ‘Toolbar’ - The traditional toolbar UI.
  • ‘Ribbon’ - The Ribbon UI, which provides a tabbed interface with grouped commands.

By default, toolbarMode is Toolbar.

To use Ribbon mode, add Document Editor component and its dependent component styles available in ../node_modules/@syncfusion package folder. This can be added as reference in src/App.vue.

@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import "../node_modules/@syncfusion/ej2-documenteditor/styles/material.css";
@import '../node_modules/@syncfusion/ej2-ribbon/styles/material.css';/* Required for Ribbon */

The following code shows the how to enable the Ribbon in Document Editor.

<template>
    <div class="control-section">
        <ejs-documenteditorcontainer ref="doceditcontainer" :toolbarMode="'Ribbon'"
        :serviceUrl="hostUrl" :enableToolbar='true' height='600px'></ejs-documenteditorcontainer>
    </div>
</template>
<script setup>
import { DocumentEditorContainerComponent, Toolbar, Ribbon } from "@syncfusion/ej2-vue-documenteditor";
import { onMounted, ref } from 'vue';

const documenteditorcontainer = ref(null);
provide('DocumentEditorContainer', [Toolbar, Ribbon]);
onMounted(function () {
   var obj = this.$refs.doceditcontainer.ej2Instances.documentEditor;  
})
</script>
<template>
    <div class="control-section">
        <ejs-documenteditorcontainer ref="doceditcontainer" :toolbarMode="'Ribbon'"
        :serviceUrl="hostUrl" :enableToolbar='true' height='600px'></ejs-documenteditorcontainer>
    </div>
</template>

<script>
import { DocumentEditorContainerComponent, Toolbar, Ribbon } from "@syncfusion/ej2-vue-documenteditor";
export default {
    components: {
        'ejs-documenteditorcontainer':DocumentEditorContainerComponent,
    },
    provide: {
        DocumentEditorContainer: [Toolbar, Ribbon]
    },
    mounted() {
        var obj = this.$refs.doceditcontainer.ej2Instances.documentEditor;  
    }
};
</script>

Ribbon Layouts

Document Editor provides two different Ribbon layouts:

  • Classic: A traditional Office-like ribbon with detailed grouping and larger icons
  • Simplified: A more compact ribbon design with streamlined controls

By default, ribbonLayout is set to Simplified.

The following code shows the how to configure the ribbon layout in Document Editor:

<template>
    <div class="control-section">
        <ejs-documenteditorcontainer ref="doceditcontainer" :toolbarMode="'Ribbon'" :ribbonLayout="'Classic'"
        :serviceUrl="hostUrl" :enableToolbar='true' height='600px'></ejs-documenteditorcontainer>
    </div>
</template>
<script setup>
import { DocumentEditorContainerComponent, Toolbar, Ribbon } from "@syncfusion/ej2-vue-documenteditor";
import { onMounted, ref } from 'vue';

const documenteditorcontainer = ref(null);
provide('DocumentEditorContainer', [Toolbar, Ribbon]);
onMounted(function () {
   var obj = this.$refs.doceditcontainer.ej2Instances.documentEditor;  
})
</script>
<template>
    <div class="control-section">
        <ejs-documenteditorcontainer ref="doceditcontainer" :toolbarMode="'Ribbon'" :ribbonLayout="'Classic'"
        :serviceUrl="hostUrl" :enableToolbar='true' height='600px'></ejs-documenteditorcontainer>
    </div>
</template>

<script>
import { DocumentEditorContainerComponent, Toolbar, Ribbon } from "@syncfusion/ej2-vue-documenteditor";
export default {
    components: {
        'ejs-documenteditorcontainer':DocumentEditorContainerComponent,
    },
    provide: {
        DocumentEditorContainer: [Toolbar, Ribbon]
    },
    mounted() {
        var obj = this.$refs.doceditcontainer.ej2Instances.documentEditor;  
    }
};
</script>

See Also

Ribbon in React Document Editor Control

1 Jul 20266 minutes to read

The React DOCX Editor (Document Editor) provides a modern Ribbon interface similar to Microsoft Word’s interface. This Ribbon UI provides an efficient and intuitive way to access editing features, organizing commands within well-structured tabs and groups to enhance your document editing experience. Additionally, the Ribbon interface supports contextual tabs. Contextual tabs appear only when certain elements, such as tables, images, or headers/footers, are selected in the document.

You can switch between the classic Toolbar and the new Ribbon UI, and you can also choose between Classic and Simplified ribbon layouts.

Enable Ribbon Mode

To enable Ribbon in React Document Editor, use the toolbarMode property of DocumentEditorContainer. The available toolbar modes are:

  • ‘Toolbar’ - The traditional toolbar UI.
  • ‘Ribbon’ - The Ribbon UI, which provides a tabbed interface with grouped commands.

By default, toolbarMode is Toolbar.

To use Ribbon mode, add Document Editor component and its dependent component styles available in ../node_modules/@syncfusion package folder. This can be added as reference in src/App.css.

@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import "../node_modules/@syncfusion/ej2-documenteditor/styles/material.css";
@import '../node_modules/@syncfusion/ej2-ribbon/styles/material.css';/* Required for Ribbon */

The following code shows the how to enable the Ribbon in Document Editor.

import { createRoot } from 'react-dom/client';
import * as React from 'react';
import { DocumentEditorContainerComponent, Ribbon, Toolbar } from '@syncfusion/ej2-react-documenteditor';
DocumentEditorContainerComponent.Inject(Toolbar, Ribbon);
const Default = () => {
    let hostUrl = "https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/";
    let container = React.useRef(null);
    // Initialize the Document Editor Container with Ribbon mode enabled
    return (
        <div className="control-pane">
            <div className="control-section">
                <div id="documenteditor_container_body">
                    <DocumentEditorContainerComponent
                        id="container"
                        ref={container}
                        style={{ display: 'block' }}
                        height={'590px'}
                        toolbarMode="Ribbon" // Options: 'Ribbon' or 'Toolbar'
                        serviceUrl={hostUrl}
                        enableToolbar={true}
                        locale="en-US"
                    />
                </div>
            </div>
        </div>
    );
};
export default Default;
const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

Ribbon Layouts

Document Editor provides two different Ribbon layouts:

  • Classic: A traditional Office-like ribbon with detailed grouping and larger icons
  • Simplified: A more compact ribbon design with streamlined controls

By default, ribbonLayout is set to Simplified.

The following code shows the how to configure the ribbon layout in Document Editor:

import { createRoot } from 'react-dom/client';
import * as React from 'react';
import { DocumentEditorContainerComponent, Ribbon, Toolbar } from '@syncfusion/ej2-react-documenteditor';
DocumentEditorContainerComponent.Inject(Toolbar, Ribbon);
const Default = () => {
    let hostUrl = "https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/";
    let container = React.useRef(null);;
    // Initialize the Document Editor Container with Ribbon mode enabled
    return (
        <div className="control-pane">
            <div className="control-section">
                <div id="documenteditor_container_body">
                    <DocumentEditorContainerComponent
                        id="container"
                        ref={container}
                        style={{ display: 'block' }}
                        height={'590px'}
                        toolbarMode="Ribbon" // Options: 'Ribbon' or 'Toolbar'
                        ribbonLayout="Classic"
                        serviceUrl={hostUrl}
                        enableToolbar={true}
                        locale="en-US"
                    />
                </div>
            </div>
        </div>
    );
};
export default Default;
const root = createRoot(document.getElementById('sample'));
root.render(<Default />);

See Also